JUnitTaskMirrorImpl (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.junit, class: JUnitTaskMirrorImpl

# Class JUnitTaskMirrorImpl

java.lang.Object
org.apache.tools.ant.taskdefs.optional.junit.JUnitTaskMirrorImpl

All Implemented Interfaces:
  `JUnitTaskMirror`

public final class JUnitTaskMirrorImpl extends Object implements JUnitTaskMirror
Implementation of the part of the junit task which can directly refer to junit.* classes. Public only to permit use of reflection; do not use directly.

Since:
  1.7
See Also:
  - `JUnitTaskMirror`
  - "bug #38799"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface JUnitTaskMirror

  `JUnitTaskMirror.JUnitResultFormatterMirror, JUnitTaskMirror.JUnitTestRunnerMirror, JUnitTaskMirror.SummaryJUnitResultFormatterMirror`
  Modifier and Type
  Interface
  Description
  `static interface`
  `JUnitTaskMirror.JUnitResultFormatterMirror`
  The interface that JUnitResultFormatter extends.
  `static interface`
  `JUnitTaskMirror.JUnitTestRunnerMirror`
  Interface that test runners implement.
  `static interface`
  `JUnitTaskMirror.SummaryJUnitResultFormatterMirror`
  The interface that SummaryJUnitResultFormatter extends.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JUnitTaskMirrorImpl(JUnitTask task)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addVmExit(JUnitTest test, JUnitTaskMirror.JUnitResultFormatterMirror aFormatter, OutputStream out, String message, String testCase)`
  Add the formatter to be called when the jvm exits before the test suite finishes.
  `JUnitTaskMirror.JUnitTestRunnerMirror`
  `newJUnitTestRunner(JUnitTest test, String[] methods, boolean haltOnError, boolean filterTrace, boolean haltOnFailure, boolean showOutput, boolean logTestListenerEvents, AntClassLoader classLoader)`
  Create a new test runner for a test.
  `JUnitTaskMirror.SummaryJUnitResultFormatterMirror`
  `newSummaryJUnitResultFormatter()`
  Create a summary result formatter.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JUnitTaskMirrorImpl

    public JUnitTaskMirrorImpl(JUnitTask task)
    Constructor.
    Parameters:
      `task` - the junittask that uses this mirror.

- ## Method Details

  - ### addVmExit

    public void addVmExit(JUnitTest test, JUnitTaskMirror.JUnitResultFormatterMirror aFormatter, OutputStream out, String message, String testCase)
    Add the formatter to be called when the jvm exits before the test suite finishes..
    Specified by:
      `addVmExit` in interface `JUnitTaskMirror`
    Parameters:
      `test` - the test.
      `aFormatter` - the formatter to use.
      `out` - the output stream to use.
      `message` - the message to write out.
      `testCase` - the name of the test.

  - ### newJUnitTestRunner

    public JUnitTaskMirror.JUnitTestRunnerMirror newJUnitTestRunner(JUnitTest test, String[] methods, boolean haltOnError, boolean filterTrace, boolean haltOnFailure, boolean showOutput, boolean logTestListenerEvents, AntClassLoader classLoader)
    Create a new test runner for a test..
    Specified by:
      `newJUnitTestRunner` in interface `JUnitTaskMirror`
    Parameters:
      `test` - the test to run.
      `methods` - names of the test methods to be run.
      `haltOnError` - if true halt the tests if an error occurs.
      `filterTrace` - if true filter the stack traces.
      `haltOnFailure` - if true halt the test if a failure occurs.
      `showOutput` - if true show output.
      `logTestListenerEvents` - if true log test listener events.
      `classLoader` - the classloader to use to create the runner.
    Returns:
      the test runner.

  - ### newSummaryJUnitResultFormatter

    public JUnitTaskMirror.SummaryJUnitResultFormatterMirror newSummaryJUnitResultFormatter()
    Create a summary result formatter..
    Specified by:
      `newSummaryJUnitResultFormatter` in interface `JUnitTaskMirror`
    Returns:
      the created formatter.